import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useEffect, useState } from 'react';
import { render } from 'react-dom';
import { ThemeProvider } from '@mui/material/styles';
import muiLightTheme from '../theme/muiLightTheme';
import { useJupyter } from '../../jupyter/JupyterContext';
import Jupyter from '../../jupyter/Jupyter';
import OutputLumino from '../../widgets/outputs/OutputLumino';
import Kernel from '../../services/kernel/Kernel';
import Layers from '../theme/Layers';
const SOURCE_1 = `import ipywidgets as widgets
widgets.IntSlider(
    value=7,
    min=0,
    max=10,
    step=1
)`;
/*
const OUTPUT_1 = (
  [
    {
    "data": {
      "application/vdom.v1+json": {
      "attributes": {},
      "children": [
        {
        "attributes": {},
        "children": [
          "Our Incredibly Declarative Example"
        ],
        "tagName": "h1"
        },
        {
        "attributes": {},
        "children": [
          "Can you believe we wrote this ",
          {
          "attributes": {},
          "children": [
            "in Python"
          ],
          "tagName": "b"
          },
          "?"
        ],
        "tagName": "p"
        },
        {
        "attributes": {
          "src": "https://media.giphy.com/media/xUPGcguWZHRC2HyBRS/giphy.gif"
        },
        "children": [],
        "tagName": "img"
        },
        {
        "attributes": {},
        "children": [
          "What will  ",
          {
          "attributes": {},
          "children": [
            "you"
          ],
          "tagName": "b"
          },
          " create next?"
        ],
        "tagName": "p"
        }
      ],
      "tagName": "div"
      },
      "text/html": [
      "<div><h1>Our Incredibly Declarative Example</h1><p>Can you believe we wrote this <b>in Python</b>?</p><img src=\"https://media.giphy.com/media/xUPGcguWZHRC2HyBRS/giphy.gif\"></img><p>What will <b>you</b> create next?</p></div>"
      ],
      "text/plain": [
      "<div><h1>Our Incredibly Declarative Example</h1><p>Can you believe we wrote this <b>in Python</b>?</p><img src=\"https://media.giphy.com/media/xUPGcguWZHRC2HyBRS/giphy.gif\"></img><p>What will <b>you</b> create next?</p></div>"
      ]
    },
    "metadata": {},
    "output_type": "display_data"
    }
  ]
 ) as any;
*/
const OUTPUT_2 = ([
    {
        "data": {
            "application/json": {
                "array": [
                    1,
                    2,
                    3
                ],
                "bool": true,
                "object": {
                    "foo": "bar"
                },
                "string": "string"
            },
            "text/plain": [
                "<IPython.core.display.JSON object>"
            ]
        },
        "execution_count": 8,
        "metadata": {
            "application/json": {
                "expanded": false,
                "root": "root"
            }
        },
        "output_type": "execute_result"
    }
]);
/*
const OUTPUT_3 = [
  {
   "data": {
    "application/vnd.jupyter.widget-view+json": {
     "model_id": "8a70de37cd284b289ac4a54ae95ef622",
     "version_major": 2,
     "version_minor": 0
    },
    "text/plain": [
     "Dropdown(description='Number:', index=1, options=('1', '2', '3'), value='2')"
    ]
   },
   "execution_count": 3,
   "metadata": {},
   "output_type": "execute_result"
  }
];
*/
/**
 * A simple example for the React Editor.
 */
const Example = () => {
    const { baseUrl, wsUrl } = useJupyter();
    const [kernel,] = useState(new Kernel({ baseUrl, wsUrl }));
    useEffect(() => {
        window.scrollTo(0, 0);
    }, []);
    return _jsxs(_Fragment, { children: [_jsx("h3", { children: "Output" }, void 0),
            _jsx(OutputLumino, { initialOutput: OUTPUT_2, showEditor: false, autoRun: false, kernel: kernel }, void 0),
            _jsx("h3", { children: "Simple Output" }, void 0),
            _jsx(OutputLumino, { showEditor: true, autoRun: true, kernel: kernel, code: "print('Hello Datalayer 👍')" }, void 0),
            _jsx("h3", { children: "IPyWidget Output" }, void 0),
            _jsx(OutputLumino, { showEditor: true, autoRun: true, kernel: kernel, code: SOURCE_1 }, void 0)] }, void 0);
};
const div = document.createElement('div');
document.body.appendChild(div);
render(_jsx(ThemeProvider, Object.assign({ theme: muiLightTheme }, { children: _jsxs(Jupyter, Object.assign({ collaborative: false, terminals: false }, { children: [_jsx(Layers, {}, void 0),
            _jsx(Example, {}, void 0)] }), void 0) }), void 0), div);
//# sourceMappingURL=Outputs.bootstrap.js.map