var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useState, useMemo } from 'react';
import { makeStyles } from '@mui/styles';
import Tabs from '@mui/material/Tabs';
import Tab from '@mui/material/Tab';
import Typography from '@mui/material/Typography';
import Box from '@mui/material/Box';
import LuminoExample from './../lumino/LuminoExample';
import IpyWidgetsExample from '../ipywidgets/IpyWidgetsExample';
import { IpyWidgetsComponent } from '../../../index';
import { CellLumino } from '../../../index';
import CellControl from '../../controls/CellControl';
import { CommandsLumino } from '../../../index';
import CommandsControl from '../../controls/CommandsControl';
import { ConsoleLumino } from '../../../index';
import ConsoleControl from '../../controls/ConsoleControl';
import { DialogLumino } from '../../../index';
import DialogControl from '../../controls/DialogControl';
import { FileBrowserLumino } from '../../../index';
import FileBrowserControl from '../../controls/FileBrowserControl';
import { NotebookLumino } from '../../../index';
import NotebookControl from '../../controls/NotebookControl';
import { Kernel } from '../../../index';
import { OutputLumino } from '../../../index';
import OutputControl from '../../controls/OutputControl';
import { SettingsLumino } from '../../../index';
import SettingsControl from '../../controls/SettingsControl';
import { TerminalLumino } from '../../../index';
import TerminalControl from '../../controls/TerminalControl';
/**
 * The source code to be shown in the examples.
 */
const SOURCE_1 = `from IPython.display import display
for i in range(3):
     display('😃 String {} added to the DOM in separated DIV.'.format(i))

import numpy as np
import matplotlib.pyplot as plt
x1 = np.linspace(0.0, 5.0)
x2 = np.linspace(0.0, 2.0)
y1 = np.cos(2 * np.pi * x1) * np.exp(-x1)
y2 = np.cos(2 * np.pi * x2)
fig, (ax1, ax2) = plt.subplots(2, 1)
fig.suptitle('A tale of 2 subplots')
ax1.plot(x1, y1, 'o-')
ax1.set_ylabel('Damped oscillation')
ax2.plot(x2, y2, '.-')
ax2.set_xlabel('time (s)')
ax2.set_ylabel('Undamped')
plt.show()`;
const OUTPUT_2 = ([
    {
        "data": {
            "application/json": {
                "array": [
                    1,
                    2,
                    3
                ],
                "bool": true,
                "object": {
                    "foo": "bar"
                },
                "string": "string"
            },
            "text/plain": [
                "<IPython.core.display.JSON object>"
            ]
        },
        "execution_count": 8,
        "metadata": {
            "application/json": {
                "expanded": false,
                "root": "root"
            }
        },
        "output_type": "execute_result"
    }
]);
function TabPanel(props) {
    const { children, value, index } = props, other = __rest(props, ["children", "value", "index"]);
    return (_jsx("div", Object.assign({ role: "tabpanel", hidden: value !== index, id: `vertical-tabpanel-${index}`, "aria-labelledby": `vertical-tab-${index}` }, other, { children: value === index && (_jsx(Box, Object.assign({ p: 3 }, { children: _jsx(Typography, { children: children }, void 0) }), void 0)) }), void 0));
}
function tabsProps(index) {
    return {
        id: `vertical-tab-${index}`,
        'aria-controls': `vertical-tabpanel-${index}`,
    };
}
const useStyles = makeStyles((theme) => ({
    root: {
        flexGrow: 1,
        backgroundColor: theme.palette.background.paper,
        display: 'flex',
        height: 1200,
    },
    tabs: {
        borderRight: `1px solid ${theme.palette.divider}`,
    },
}));
const Gallery = () => {
    const classes = useStyles();
    const [value, setValue] = useState(0);
    const kernel = useMemo(() => new Kernel(), []);
    const handleChange = (event, newValue) => {
        setValue(newValue);
    };
    return (_jsxs("div", Object.assign({ className: classes.root }, { children: [_jsxs(Tabs, Object.assign({ orientation: "vertical", variant: "scrollable", value: value, onChange: handleChange, "aria-label": "Vertical tabs example", className: classes.tabs }, { children: [_jsx(Tab, Object.assign({ label: "Lumino" }, tabsProps(0)), void 0),
                    _jsx(Tab, Object.assign({ label: "IpyWidgets" }, tabsProps(1)), void 0),
                    _jsx(Tab, Object.assign({ label: "Outputs" }, tabsProps(2)), void 0),
                    _jsx(Tab, Object.assign({ label: "Cell" }, tabsProps(3)), void 0),
                    _jsx(Tab, Object.assign({ label: "Notebook" }, tabsProps(4)), void 0),
                    _jsx(Tab, Object.assign({ label: "Commands" }, tabsProps(5)), void 0),
                    _jsx(Tab, Object.assign({ label: "Console" }, tabsProps(6)), void 0),
                    _jsx(Tab, Object.assign({ label: "Dialog" }, tabsProps(7)), void 0),
                    _jsx(Tab, Object.assign({ label: "File Browser" }, tabsProps(8)), void 0),
                    _jsx(Tab, Object.assign({ label: "Settings" }, tabsProps(9)), void 0),
                    _jsx(Tab, Object.assign({ label: "Terminal" }, tabsProps(10)), void 0)] }), void 0),
            _jsxs("div", Object.assign({ style: { width: '100vh' } }, { children: [_jsx(TabPanel, Object.assign({ value: value, index: 0 }, { children: _jsx(LuminoExample, {}, void 0) }), void 0),
                    _jsx(TabPanel, Object.assign({ value: value, index: 1 }, { children: _jsx(IpyWidgetsComponent, { widget: IpyWidgetsExample }, void 0) }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 2 }, { children: [_jsx(OutputControl, {}, void 0),
                            _jsx(OutputLumino, { initialOutput: OUTPUT_2, showEditor: false, autoRun: false, kernel: kernel }, void 0),
                            _jsx(OutputLumino, { showEditor: true, autoRun: false, kernel: kernel, code: "print('Hello Datalayer 👍')" }, void 0),
                            _jsx(OutputLumino, { showEditor: true, autoRun: true, kernel: kernel, code: SOURCE_1 }, void 0)] }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 3 }, { children: [_jsx(CellControl, {}, void 0),
                            _jsx(CellLumino, { source: SOURCE_1 }, void 0)] }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 4 }, { children: [_jsx(NotebookControl, {}, void 0),
                            _jsx(NotebookLumino, { path: 'ping.ipynb', ipywidgets: "lab" }, void 0)] }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 5 }, { children: [_jsx(CommandsControl, {}, void 0),
                            _jsx(CommandsLumino, {}, void 0)] }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 6 }, { children: [_jsx(ConsoleControl, {}, void 0),
                            _jsx(ConsoleLumino, {}, void 0)] }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 7 }, { children: [_jsx(DialogControl, {}, void 0),
                            _jsx(DialogLumino, {}, void 0)] }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 8 }, { children: [_jsx(FileBrowserControl, {}, void 0),
                            _jsx(FileBrowserLumino, {}, void 0)] }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 9 }, { children: [_jsx(SettingsControl, {}, void 0),
                            _jsx(SettingsLumino, {}, void 0)] }), void 0),
                    _jsxs(TabPanel, Object.assign({ value: value, index: 10 }, { children: [_jsx(TerminalControl, {}, void 0),
                            _jsx(TerminalLumino, {}, void 0)] }), void 0)] }), void 0)] }), void 0));
};
export default Gallery;
//# sourceMappingURL=GalleryExample.js.map