import { CommandRegistry } from '@lumino/commands';
import { BoxPanel } from '@lumino/widgets';
import { ServiceManager } from '@jupyterlab/services';
import { NotebookPanel } from '@jupyterlab/notebook';
import { INotebookProps } from './NotebookLumino';
import '@jupyterlab/notebook/style/index.css';
import '@jupyterlab/theme-light-extension/style/theme.css';
import '@jupyterlab/theme-light-extension/style/variables.css';
import './NotebookAdapter.css';
declare class NotebookAdapter {
    private _props;
    private _panel;
    private _notebookPanel;
    private _serverSettings;
    private _serviceManager;
    private _commands;
    private _iPyWidgetsClassicManager;
    private _injectableStore;
    constructor(props: INotebookProps, injectableStore: any);
    createApp(notebookPath: string): void;
    get notebookPanel(): NotebookPanel;
    get panel(): BoxPanel;
    get manager(): ServiceManager;
    get commands(): CommandRegistry;
}
export default NotebookAdapter;
