import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useState } from 'react';
import { useDispatch } from 'react-redux';
import PlayArrow from '@mui/icons-material/PlayArrowOutlined';
import Delete from '@mui/icons-material/DeleteOutline';
import Typography from '@mui/material/Typography';
import ArrowUpwardIcon from '@mui/icons-material/ArrowUpward';
import ArrowDownwardIcon from '@mui/icons-material/ArrowDownward';
import { selectNotebook, notebookActions } from '../NotebookState';
const CELL_HEADER_DIV_CLASS = 'dla-cellHeaderContainer';
const CellSidebarDefault = (props) => {
    var _a, _b;
    const [visible, setVisible] = useState(false);
    const dispatch = useDispatch();
    const paperBook = selectNotebook();
    const layout = ((_a = paperBook.activeCell) === null || _a === void 0 ? void 0 : _a.layout);
    if (layout) {
        const selectedCellSidebar = ((_b = paperBook.activeCell) === null || _b === void 0 ? void 0 : _b.layout).widgets[0];
        if (!visible && (selectedCellSidebar.id === props.id)) {
            setVisible(true);
        }
        if (visible && (selectedCellSidebar.id !== props.id)) {
            setVisible(false);
        }
    }
    if (!visible) {
        return _jsx("div", {}, void 0);
    }
    return (_jsxs("div", Object.assign({ className: CELL_HEADER_DIV_CLASS }, { children: [_jsx("div", Object.assign({ onClick: event => {
                    dispatch(notebookActions.run.started());
                } }, { children: _jsxs("span", Object.assign({ style: { display: "flex" } }, { children: [_jsx(PlayArrow, { fontSize: "small" }, void 0),
                        _jsx(Typography, Object.assign({ variant: "body2", color: "textSecondary" }, { children: "Render" }), void 0)] }), void 0) }), void 0),
            _jsx("div", Object.assign({ onClick: event => {
                    dispatch(notebookActions.insertAbove.started());
                } }, { children: _jsxs("span", Object.assign({ style: { display: "flex" } }, { children: [_jsx(ArrowUpwardIcon, { fontSize: "small" }, void 0),
                        _jsx(Typography, Object.assign({ variant: "body2", color: "textSecondary" }, { children: "Add above" }), void 0)] }), void 0) }), void 0),
            _jsx("div", Object.assign({ onClick: event => {
                    dispatch(notebookActions.insertBelow.started());
                } }, { children: _jsxs("span", Object.assign({ style: { display: "flex" } }, { children: [_jsx(ArrowDownwardIcon, { fontSize: "small" }, void 0),
                        _jsx(Typography, Object.assign({ variant: "body2", color: "textSecondary" }, { children: "Add below" }), void 0)] }), void 0) }), void 0),
            _jsx("div", Object.assign({ onClick: event => {
                    dispatch(notebookActions.delete.started(undefined));
                } }, { children: _jsxs("span", Object.assign({ style: { display: "flex" } }, { children: [_jsx(Delete, { fontSize: "small" }, void 0),
                        _jsx(Typography, Object.assign({ variant: "body2", color: "textSecondary" }, { children: "Delete" }), void 0)] }), void 0) }), void 0)] }), void 0));
};
export default CellSidebarDefault;
//# sourceMappingURL=CellSidebarDefault.js.map