import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { useEffect, useMemo } from 'react';
import { useStore } from "react-redux";
import TerminalAdapter from './TerminalAdapter';
import LuminoAttached from '../../lumino/LuminoAttached';
import { terminalEpics, terminalReducer } from './TerminalState';
const TerminalLumino = () => {
    const terminalLumino = useMemo(() => new TerminalAdapter(), []);
    const injectableStore = useStore();
    useEffect(() => {
        injectableStore.injectReducer('terminal', terminalReducer);
        injectableStore.injectEpic(terminalEpics(terminalLumino));
    }, []);
    return _jsx(LuminoAttached, { children: terminalLumino.panel }, void 0);
};
export default TerminalLumino;
//# sourceMappingURL=TerminalLumino.js.map